// testgetfileDlg.cpp : implementation file
//

#include "stdafx.h"
#include "testgetfile.h"
#include "testgetfileDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CTestgetfileDlg dialog

CTestgetfileDlg::CTestgetfileDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CTestgetfileDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CTestgetfileDlg)
	//}}AFX_DATA_INIT

	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CTestgetfileDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CTestgetfileDlg)
	DDX_Control(pDX, IDC_OLD_STYLE, m_ctrlOldStyle);
	DDX_Control(pDX, IDC_OVERWRITE_PROMPT, m_ctrlOverwritePrompt);
	DDX_Control(pDX, IDC_FILE_MUST_EXIST, m_ctrlFileMustExist);
	//}}AFX_DATA_MAP
  
  DWORD dwFlags = 0;
  if (m_ctrlOverwritePrompt.GetCheck())
    dwFlags |= GF_OVERWRITEPROMPT;
  if (m_ctrlFileMustExist.GetCheck())
    dwFlags |= GF_FILEMUSTEXIST;
  if (m_ctrlOldStyle.GetCheck())
    dwFlags |= GF_OLD_STYLE_DIALOG;


  DDX_GetFilenameControl(pDX, IDC_FILENAME, m_ctrlGetFilename, dwFlags, "Please specify a filename", "All Files (*.*)|*.*||");
}

BEGIN_MESSAGE_MAP(CTestgetfileDlg, CDialog)
	//{{AFX_MSG_MAP(CTestgetfileDlg)
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_BN_CLICKED(IDC_FILE_MUST_EXIST, OnFileMustExist)
	ON_BN_CLICKED(IDC_OVERWRITE_PROMPT, OnOverwritePrompt)
	ON_BN_CLICKED(IDC_OLD_STYLE, OnOldStyle)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CTestgetfileDlg message handlers

BOOL CTestgetfileDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
	// TODO: Add extra initialization here
	
	return TRUE;  // return TRUE  unless you set the focus to a control
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CTestgetfileDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CTestgetfileDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}

void CTestgetfileDlg::OnFileMustExist() 
{
	UpdateData();	
}

void CTestgetfileDlg::OnOverwritePrompt() 
{
	UpdateData();	
}

void CTestgetfileDlg::OnOldStyle() 
{
	UpdateData();	
}
